Microsoft.Build.Utilities 2.0.0.0 Microsoft.Build.Utilities.Task

This abstract class provides default implementations for the methods and properties of a task that wraps a command line tool.

When overridden in a derived form, provides functionality for a task that wraps a command line tool.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified .

  The for task resources.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified and Help keyword prefix.

  The for task resources.
  The Help keyword to use for messages raised by the task.
  2.0.0.0
- Method
  System.Boolean To be added.

  Calls the host object to perform the work of the task.

  true if the method was successfule; otherwise, false.

  2.0.0.0
- Property
  System.Collections.Specialized.StringDictionary To be added.

  The ExecuteTool method passes these environment variables to the StartInfo of the process in which the tool executes. Any environment variables not included in the EnvironmentOverride dictionary are inherited from the process in which the ExecuteTool method executes.

  Gets a set of environment variable name-value pairs. Designed to be overridden in a custom task class (derived from ToolTask) to return a set of new or altered environment variables to create the execution context of the associated tool.

  2.0.0.0
- Method
  2.0.0.0
  System.Boolean To be added.

  Runs the exectuable file with the specified task parameters.

  true if the task runs successfully; otherwise, false.

- Method
  System.Int32 `` `` `` To be added.

  Creates a temporoary response (.rsp) file and runs the executable file.

  The returned exit code of the executable file. If the task logged errors, but the executable returned an exit code of 0, this method returns -1.

  The path to the executable file. The command line arguments to place in the .rsp file. The command line arguments to pass directly to the executable file. 2.0.0.0
- Property
  Microsoft.Build.Framework.Output
  System.Int32 To be added. To be added.

  Gets the returned exit code of the executable file.

  2.0.0.0
- Method
  System.String

  This method is called after and .

  Returns a string value containing the command line arguments to pass directly to the executable file.

  A string value containing the command line arguments to pass directly to the executable file.

  2.0.0.0
- Method
  System.String

  This method returns the value of the property if the tool is located in the system path.

  Returns the fully qualified path to the executable file.

  The fully qualified path to the executable file.

  2.0.0.0
- Method
  System.String

  This method is called after and .

  Returns a string value containing the command line arguments to add to the response (.rsp) file before running the executable file.

  a string value containing the command line arguments to add to the response (.rsp) file before running the executable file.

  2.0.0.0
- Method
  System.String ``

  This method is only called if returns a non-empty string value.

  This method is called after , and .

  Returns the command line switch used by the executable file to specifiy a response (.rsp) file.

  The command line switch used by the executable file to specifiy a response (.rsp) file.

  The full path to the temporary .rsp file. 2.0.0.0
- Method
  System.String

  This is a method rather than a property so that derived classes (like Exec) can choose to expose a public WorkingDirectory property, and it would be confusing to have two properties.

  Returns the directory in which to run the executable file.

  The directory in which to run the executable file, or a null reference (Nothing in vbprvb) if the executable file should be run in the current directory.

  2.0.0.0
- Method
  System.Boolean

  This method is called only if the executable file returns a non-zero exit code.

  The return value of this method is used as the return value of the task.

  Handles execution errors raised by the executable file.

  true if the method runs successfully; otherwise, false.

  2.0.0.0
- Method
  Microsoft.Build.Utilities.HostObjectInitializationStatus To be added.

  Initializes the host object of the task.

  The of the host object.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Parses a single line of text to identify any errors or warnings in canonical format.

  A single line of text for the method to parse. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Logs the tool name and path to all registered loggers.

  The executable file name. The path to the executable file. 2.0.0.0
- Method
  System.Void `` To be added.

  Logs the starting point of the run to all registered loggers.

  A descriptive message to provide loggers, usually the command line and switches. 2.0.0.0
- Property
  System.Text.Encoding To be added.

  The encoding is by default.

  Gets the of the response file.

  2.0.0.0
- Method
  System.Boolean

  This method is called after .

  Indicates whether task execution should be skipped.

  true to skip task execution; otherwise, false.

  2.0.0.0
- Property
  System.Text.Encoding To be added.

  Console-based output uses the current system OEM code page by default. Note that we should not use Console.OutputEncoding here since processes we run don't really have much to do with our console window (and also Console.OutputEncoding doesn't return the OEM code page if the running application that hosts MSBuild is not a console application).

  Gets the of the standard error stream of the task.

  2.0.0.0
- Property
  Microsoft.Build.Framework.MessageImportance To be added. To be added.

  Gets the with which to log errors.

  2.0.0.0
- Property
  System.Text.Encoding To be added.

  Console-based output uses the current system OEM code page by default. Note that we should not use Console.OutputEncoding here since processes we run don't really have much to do with our console window (and also Console.OutputEncoding doesn't return the OEM code page if the running application that hosts MSBuild is not a console application).

  Gets the of the standard output stream of the task.

  2.0.0.0
- Property
  Microsoft.Build.Framework.MessageImportance To be added. To be added.

  Gets the with which to log errors.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets or sets the amount of time after which the task executable is terminated.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the executable file to run.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the path of the executable file to run.

  2.0.0.0
- Method
  System.Boolean To be added.

  Indicates whether all task paratmeters are valid.

  true if all task parameters are valid; otherwise, false.

  2.0.0.0